KDataToolAction class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDataToolAction Class Reference

This class helps applications implement support for KDataTool. More...

`#include <kdatatool.h>`

Inheritance diagram for KDataToolAction:

[legend]
Collaboration diagram for KDataToolAction:

[legend]
List of all members.

## Signals
void | toolActivated (const KDataToolInfo &info, const QString &command)
## Public Member Functions
| KDataToolAction (const QString &text, const KDataToolInfo &info, const QString &command, QObject *parent=0, const char *name=0)
## Static Public Member Functions
QPtrList< KAction > | dataToolActionList (const QValueList< KDataToolInfo > &tools, const QObject *receiver, const char *slot)
| Creates a list of actions from a list of information about data-tools.
## Protected Member Functions
virtual void | slotActivated ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class helps applications implement support for KDataTool.

The steps to follow are simple: 1) query for the available tools using KDataToolInfo::query 2) pass the result to KDataToolAction::dataToolActionList (with a slot) 3) plug the resulting actions, either using KXMLGUIClient::plugActionList, or by hand.

The slot defined for step 2 is called when the action is activated, and that's where the tool should be created and run.

Definition at line 169 of file kdatatool.h.

## Member Function Documentation

QPtrList< KAction > KDataToolAction::dataToolActionList | ( | const QValueList< KDataToolInfo > & | tools,
|  | const QObject * | receiver,
|  | const char * | slot
| ) | `[static]`

| Creates a list of actions from a list of information about data-tools. The slot must have a signature corresponding to the toolActivated signal. Note that it's the caller's responsibility to delete the actions when they're not needed anymore. Definition at line 239 of file kdatatool.cpp. References KStdAccel::action(), QPtrList::append(), QValueList::begin(), QObject::connect(), QValueList::end(), and QValueList::isEmpty().

The documentation for this class was generated from the following files:

- kdatatool.h
- kdatatool.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001